/**
 * Reflection by Simon Greenwold. 
 * 
 * Vary the specular reflection component of a material
 * with the value of the distance sensor connected to D1 
 */
import ftcomputing.robo.*;
FishFace ft = new FishFace();

void setup() {
  size(360, 360, P3D);
  ft.openInterface(0, 0);
  noStroke();
  colorMode(RGB, 1, 3, 2);
  fill(0.4);
  frameRate(12);
}

void draw() {
  background(0);
  translate(width / 2, height / 2);
  lightSpecular(1, 1, 1);
  directionalLight(0.8, 0.8, 0.8, 0, 0, -1);
  float s = float(255 - ft.getDistance(1)) / float(width);
  specular(s, s, s);
  sphere(120);
}


